/*
   TSKLOCAL.H - CTask - Internal definitions and prototypes.

   Public Domain Software written by
      Thomas Wagner
      Patschkauer Weg 31
      D-1000 Berlin 33
      West Germany
*/

extern tcbptr  _Near tsk_eligible;
extern tcbptr  _Near tsk_current;
extern dlink   _Near tsk_timer;
extern byte    _Near tsk_preempt;
extern byte    _Near tsk_pretick;

extern void far tsk_enqueue (tcbptr task, tqueptr que);
extern void far tsk_unqueue (tcbptr task);
extern void far tsk_enqtimer (tcbptr task, dword tout);
extern void far tsk_unqtimer (tcbptr task);

extern void far tsk_kill_queue (tqueptr que);

extern void far tsk_install_timer (word divisor, word sys_ticks);
extern void far tsk_remove_timer (void);
extern void far tsk_install_dos (void);
extern void far tsk_remove_dos (void);
extern void far tsk_install_kbd (void);
extern void far tsk_remove_kbd (void);
extern void far tsk_chain_timer (void);

extern word far tsk_dseg (void);
extern word far tsk_flags (void);

extern tcbptr far tsk_runable (tcbptr task);
extern void far tsk_wakeup (tcbptr task);
extern void far tsk_wait (tqueptr que, dword timeout);

